{% extends 'base.html' %}
{%load static%}

{% block tambahStyle %}
<link rel="stylesheet" href="{% static 'css/styles.css'%}">
<link rel="preconnect" href="https://fonts.gstatic.com">
<link href="https://fonts.googleapis.com/css2?family=Tinos&display=swap" rel="stylesheet">
<style>
    .panel-judul{
        text-align: ce;
    }

    .grup-hasil{
        width: 600px;
        margin-top: 20px;
        margin-right: auto;
        margin-left: auto;
    }

    .pertanyaan-hasil{
        text-align: center; 
        margin-top: 50px;
        color: white;
        font-size: 24px;
        font-family: 'Tinos', serif;
        font-weight: bolder;
    }

    .container-pertanyaan{
        margin-left: auto;
        margin-right: auto;
        background-color:#6C804B ;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
        width: 600px;
        height: 40px;
    }

    .btn-kembali{
        margin-left: auto;
        margin-right: auto;
        margin-top: 10px;
        box-sizing: border-box;
        border-radius: 20px 20px 20px 20px;
    }

    @media (min-width: 600px) and (max-width:725px){
        .container-pertanyaan{
            width:500px ;
        }

        .grup-hasil{
            width: 500px;
        }

        .pertanyaan-hasil{
            font-size: 25px;
        }
    }

    @media (min-width: 500px) and (max-width:599px){
        .container-pertanyaan{
            width:450px ;
        }


        .grup-hasil{
            width: 450px;
        }

        .pertanyaan-hasil{
            font-size: 22px;
        }
    }

    @media (min-width: 400px) and (max-width:499px){
        .container-pertanyaan{
            width:350px ;
        }

        .grup-hasil{
            width: 350px;
        }

        .pertanyaan-hasil{
            font-size: 18px;
        }
    }

    @media (min-width: 300px) and (max-width:399px){
        .container-pertanyaan{
            width:280px ;
        }

        .grup-hasil{
            width: 280px;
        }

        .pertanyaan-hasil{
            font-size:15px;
        }
    }



    
</style>
{% endblock tambahStyle %}

{% block content %}
<body  style="background-color: #DCE5D2";>
    <div class="container">
        <div class="container-pertanyaan">
            <h3 class="pertanyaan-hasil">{{poll.pertanyaan}}</h3>
        </div>
        <div class="box-hasil">
            <ul class="list-group grup-hasil">
                <li class="list-group-item">{{ poll.pilihan_satu }} <span class="badge badge-success float-right badge-vote">{{ poll.pilihan_satu_hitung }} Votes</span></li>
                <li class="list-group-item">{{ poll.pilihan_dua }} <span class="badge badge-success float-right badge-vote">{{ poll.pilihan_dua_hitung }} Votes</span></li>
                <li class="list-group-item">{{ poll.pilihan_tiga }} <span class="badge badge-success float-right badge-vote">{{ poll.pilihan_tiga_hitung }} Votes</span></li>
                <li class="list-group-item total-voters" style="margin-top: 20px;"><strong>Total</strong><span class="badge badge-info float-right badge-vote">{{ poll.total }} Voters</span></li>
                <div class="btn-kembali">
                    <a class="btn btn-success btn-kembali " href="{% url 'poll:poll' %}#container-poll" >Kembali</a>
                </div>
            </ul>
        </div>   
    </div>
</body>
{% endblock %}